<?php

/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 16/3/6
 * Time: 下午10:42
 */
class TypeException extends Exception
{
    public function __construct()
    {
        $code = errcode::ErrApptype;
        $message = errcode::msg($code);

        parent::__construct($message, $code, null);
    }
}

class UnloginException extends Exception
{
    public function __construct()
    {
        $code = errcode::ErrUnLogin;
        $message = errcode::msg($code);

        parent::__construct($message, $code, null);
    }
}